netdiag (1.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1054902)
    + Drop generic quilt description in d/README.source

  [ Zixing Liu ]
  * Add multiple missing headers and function prototypes. (Closes: #1066694)

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 19:19:14 +0000

netdiag (1.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use fixed format strings in mvprintw calls. (Closes: #997174)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 16 Oct 2022 15:28:17 +0200

netdiag (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add FTBFS fixes from Logan Rosen:
    - Fix FTBFS with GCC 10.
    - Rename pcap_init() to traf_pcap_init() to avoid conflict with libpcap.
    (Closes: #957596)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 00:40:50 +0200

netdiag (1.2-1) unstable; urgency=medium

  * New upstream version for netwatch. (Closes: #804791)

 -- Michael Meskes <meskes@debian.org>  Fri, 09 Feb 2018 13:35:25 +0100

netdiag (1.1-4) unstable; urgency=medium

  * Patch by Helmut Grohne <helmut@subdivi.de> to fix FTCBFS: (Closes: #888913)
    + Let dh_auto_configure pass --host to trafshow's ./configure.
    + Pass a cross compiler to netwatch's and tcpblast's ./configure.
    + Let dh_auto_build pass cross compilers to make for tcpspray, statnet
      and netload.
  * Enable hardening.
  * Added native service file.

 -- Michael Meskes <meskes@debian.org>  Wed, 31 Jan 2018 09:59:45 +0100

netdiag (1.1-3) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Bumped debhelper compat level to 11.
  * Do not use automake anymore. (Closes: #888039)
  * Changed priority to optional.
  * Patched netwatch to allow device names with more than 10 characters.

 -- Michael Meskes <meskes@debian.org>  Mon, 29 Jan 2018 11:09:03 +0100

netdiag (1.1-2) unstable; urgency=low

  * Moved diagperm to examples, it is outdated and wasn't used much anyway.
  * Fix FTBFS with clang due to "wrong main declaration" error in
    tcpspray.
    Patch by Arthur Marble <arthur@info9.net> (Closes: #722016, #748632)
  * Fixed forward declaration in netwatch. (Closes: #751495)
  * Use autotools-dev to update config.{sub,guess} for new architectures.
    Patch by Logan Rosen <logan@ubuntu.com> (Closes: #734538)
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Use build flags as provided by buildtools.

 -- Michael Meskes <meskes@debian.org>  Wed, 05 Nov 2014 09:18:00 +0100

netdiag (1.1-1) unstable; urgency=high

  * Removed strobe because its license is not DFSG-free. (Closes: #686580)

 -- Michael Meskes <meskes@debian.org>  Fri, 19 Oct 2012 11:08:54 +0200

netdiag (1.0-20) unstable; urgency=low

  * Added Brazilian Portuguese debconf translation. (Closes: # 668102)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Added required force-reload option to init script.

 -- Michael Meskes <meskes@debian.org>  Mon, 23 Apr 2012 13:26:20 +0200

netdiag (1.0-19) unstable; urgency=low

  * Fixed incorrect naming in init script.

 -- Michael Meskes <meskes@debian.org>  Thu, 12 Jan 2012 12:47:22 +0100

netdiag (1.0-18) unstable; urgency=low

  * Remove auto-generated files from netwatch directory instead of patching
    them.
  * Added recommended targets to rules file.
  * Re-create config.sub and config.guess when building tcpblast.
  * Do not define HOME in tcpblast Makefile because it breaks ccache.
    (Closes: #653134)
  * Implement status option for init script.

 -- Michael Meskes <meskes@debian.org>  Thu, 12 Jan 2012 10:45:31 +0100

netdiag (1.0-17) unstable; urgency=low

  * Added Danish debconf translations. (Closes: #628213)
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 09 Jun 2011 15:30:38 +0200

netdiag (1.0-16) unstable; urgency=low

  * Set compiler flag to activate IPv6 for tcpspray.

 -- Michael Meskes <meskes@debian.org>  Thu, 24 Feb 2011 10:03:00 +0100

netdiag (1.0-15) unstable; urgency=low

  * Added patch to fix handling of descriptor sets. (Closes: #613557) - thanks
    to Mats Erik Andersson <mats.andersson@gisladisker.se>
  * Added patch to implement IPv6 for strobe. (Closes: #610452)  - thanks
    to Mats Erik Andersson <mats.andersson@gisladisker.se>

 -- Michael Meskes <meskes@debian.org>  Tue, 22 Feb 2011 15:51:34 +0100

netdiag (1.0-14) unstable; urgency=low

  * Re-packaged using separated patches.
  * Bumped Standards-Version to 3.9.1, no changes needed.
  * Added patch to make netload work on GNU/kFreeBSD and fix some bugs along
    the way. (Closes: #608300) - thanks to Mats Erik Andersson
    <mats.andersson@gisladisker.se>
  * Added patch to add IPv6 support to tcpspray. (Closes: #613057) - thanks to
    Mats Erik Andersson <mats.andersson@gisladisker.se>

 -- Michael Meskes <meskes@debian.org>  Wed, 16 Feb 2011 13:06:54 +0100

netdiag (1.0-13) unstable; urgency=low

  * Applied patch by James Westby <james.westby@canonical.com> to make open(2)
    usage standard conform, closes: #507213
  * Updated Japanese debconf translation, closes: #510898
  * Made init script not call itself.

 -- Michael Meskes <meskes@debian.org>  Tue, 13 Jan 2009 15:57:48 +0100

netdiag (1.0-12) unstable; urgency=low

  * Fixed compilation with gcc 4.4, closes: #504833
  * Added Italian debconf translation, closes: #505810

 -- Michael Meskes <meskes@debian.org>  Sun, 16 Nov 2008 12:12:04 +0100

netdiag (1.0-11) unstable; urgency=low

  * Added Swedish debconf translation, closes: #503605

 -- Michael Meskes <meskes@debian.org>  Sun, 02 Nov 2008 16:01:35 +0100

netdiag (1.0-10) unstable; urgency=low

  * Do not link trafshow against libslang2, closes: #503006
  * Updated standards version to 3.8.0, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 22 Oct 2008 14:00:58 +0200

netdiag (1.0-9) unstable; urgency=low

  * Applied patch by Martin Guy <martinwguy@yahoo.it> to fix alignment problems
    on arm, closes: #501596

 -- Michael Meskes <meskes@debian.org>  Thu, 09 Oct 2008 18:11:14 +0200

netdiag (1.0-8) unstable; urgency=low

  * Removed bashisms in diagoerm, closes: #465010
  * Removed comments from tcpblast.8 that confused lintian.
  * Clarified copyright file a little bit.

 -- Michael Meskes <meskes@debian.org>  Mon, 11 Feb 2008 10:32:14 +0100

netdiag (1.0-7) unstable; urgency=low

  * Reorganized package a little bit.
  * Correctly remove configure generated files in clean target.
  * Made package lintian clean.
  * Bumped Standards-Version to 3.7.3, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 27 Dec 2007 11:29:23 +0100

netdiag (1.0-6) unstable; urgency=low

  * statnet used to accept signals only after a key was pressed
    this behaviour was corrected

 -- Michael Meskes <meskes@debian.org>  Mon, 01 Oct 2007 13:32:36 +0200

netdiag (1.0-5) unstable; urgency=low

  * Fixed restart target in init script, closes: #442197
  * Really clean up tcpblast in clean target, closes: #442686
  * Move statnet client to /usr/bin.

 -- Michael Meskes <meskes@debian.org>  Sun, 16 Sep 2007 16:08:27 +0200

netdiag (1.0-4) unstable; urgency=low

  * Added Spanish debconf template, closes: #440998

 -- Michael Meskes <meskes@debian.org>  Mon, 10 Sep 2007 14:36:53 +0200

netdiag (1.0-3) unstable; urgency=low

  * Removed strip option in strobe, trafshow, tcpblast, closes: #437611
  * Updated menu file to use "Applications" instead of "Apps".
  * Updated several po files that got mangled.

 -- Michael Meskes <meskes@debian.org>  Wed, 15 Aug 2007 17:05:55 +0200

inetdiag (1.0-2) unstable; urgency=low

  * diagperm now uses dpkg-statoverride, closes: #321059
  * also fixed some more bugs in diagperm.
  * Added init script to start statnetd, the data collector daemon and a
    debconf question whethere it should be started at boot time.
  * Added mini manpage for checkint fixing the last lintian complaint

 -- Michael Meskes <meskes@debian.org>  Mon, 30 Jul 2007 12:38:29 +0200

netdiag (1.0-1) unstable; urgency=low

  * There is no version 0.* software in netdiag anymore, thus I decided to go
    to version 1.0 for the package.
  * Install netwatch.conf example, closes: #78972
  * Install diagperm manpage.
  * New upstream version for netload

 -- Michael Meskes <meskes@debian.org>  Fri, 27 Jul 2007 17:28:42 +0200
netdiag (0.9-1) unstable; urgency=low

  * New upstream version for netload
  * Added missing build-depends, closes: #430168

 -- Michael Meskes <meskes@debian.org>  Wed, 11 Jul 2007 15:38:05 +0200

netdiag (0.8-2) unstable; urgency=low

  * Updated config.sub and config.guess, closes: #430094
  * Set compat level to 5.

 -- Michael Meskes <meskes@debian.org>  Fri, 22 Jun 2007 19:14:43 +0200

netdiag (0.8-1) unstable; urgency=low

  * New maintainer, closes: #418791
  * Acknowledge all changes, closes: #12254, #23183, #321063, #364208, #412777
  * Made diagperm more user friendly, closes: #71992
  * Added newer version of trafshow, closes: #12534, #381993
  * Added latest version of netwatch, closes: #16264, #31603, #40558, #121541
  * Added latest version of statnet, closes: #7794, #12306, #400358
  * Added latest version of tcpblast
  * Added latest version of netload, closes: #192389
  * Tweaked output of netload slightly, closes: #192390
  * Updated copyright file
  * Applied patch against unaligned accesses to netwatch and statnetd,
    closes: #415166
  * Fixed install paths

 -- Michael Meskes <meskes@debian.org>  Tue, 19 Jun 2007 16:32:48 +0200

netdiag (0.7-8) unstable; urgency=low

  * Acknowledge NMUs
  * Patch netload to work with 2.6 kernels

 -- Robert Woodcock <rcw@debian.org>  Mon, 05 Mar 2007 07:52:29 -0800

netdiag (0.7-7.2) unstable; urgency=low

  * NMU
  * Patch from Remi Denis-Courmont fixing tcpspray to kill background
    processes if the foreground process dies. Closes: #12254
  * Current standards version.
  * Remove netload from the binary package as it will not work with 2.6
    kernels. Closes: #23183
  * Patch from Justin Pryzby fixing bad indentation in tcpspray man page.
    Closes: #364208

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Feb 2007 20:52:41 -0500

netdiag (0.7-7.1) unstable; urgency=low

  * Don't set DESTDIR when building strobe, avoids strobe trying to read
    services file from build directory, a potential security hole, and lets it
    read /usr/lib/netdiag/strobe.services. Also disable reading of
    strobe.services from current directory. Closes: #206905
  * Fix FTBFS with gcc 4.0, patch from Andreas Jochens. Closes: #287749
  * Disable "call home" code in netwatch. Closes: #317259
  * List all the programs in the package description. Closes: #221950
  * Make trafshow support (not complain about) systems with raw wifi
    interfaces by adding ARPHRD_IEEE80211 to the list of families that
    are passed through unprocessed. Closes: #296526

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Aug 2005 03:17:57 -0400

netdiag (0.7-7) unstable; urgency=low

  * Recent libc6-dev update broke <linux/udp.h> (#207200), which broke
    netwatch. Massaged headers a bit, closes: #208140
  * Also patched netwatch to use tmpfile() instead of tmpnam() when building
    warnings.

 -- Robert Woodcock <rcw@debian.org>  Mon,  1 Sep 2003 00:09:16 -0700

netdiag (0.7-6) unstable; urgency=low

  * Missed m4 in Build-Depends in the last upload, closes: #190793

 -- Robert Woodcock <rcw@debian.org>  Fri, 25 Apr 2003 19:10:26 -0700

netdiag (0.7-5) unstable; urgency=low

  * Added Build-Depends, closes: #190493
  * Corrected an error in the netload manpage, closes: #128382
  * Misc. policy-related cleanups

 -- Robert Woodcock <rcw@debian.org>  Thu, 24 Apr 2003 16:28:37 -0700

netdiag (0.7-4) unstable; urgency=low

  * Applied Ralf Doering's patch to fix tcpblast's -p option, closes: #97572
  * Includes additional symlink for statnetd.1.gz manpage, closes: #99583
  * netwatch.c needs #include <time.h> to compile these days

 -- Robert Woodcock <rcw@debian.org>  Fri,  1 Jun 2001 11:49:44 -0700

netdiag (0.7-3) unstable; urgency=low

  * Uncommented mysterious 'to fix unaligned accesses' code in netwatch.c,
    this should let things run on sparc (thanks to Anton Blanchard of
    Linuxcare), fixes #74408
  * Added #include <getopt.h> to statnet/statnet.c and stood back in awe of
    how it managed to compile previously
  * Hacked in old ip_options headers to netwatch.h to allow compilation on
    newer glibc's. Came to the conclusion that netwatch is evil.

 -- Robert Woodcock <rcw@debian.org>  Sat, 11 Nov 2000 16:57:45 -0800

netdiag (0.7-2) unstable; urgency=low

  * Axed dependancy on netstd

 -- Robert Woodcock <rcw@debian.org>  Sat,  6 Nov 1999 15:08:03 -0800

netdiag (0.7-1) unstable; urgency=low

  * Changed maintainer field

 -- Robert Woodcock <rcw@debian.org>  Tue, 26 Oct 1999 23:44:47 -0700

netdiag (0.7-0.1) unstable; urgency=low

  * tcpspray 1.1a
  * tcpblast 19990504
  * netwatch 0.9g
  * strobe 1.06
  * statnet 3.5
  * trafshow now has a portable IPv4 checksum routine, should be portable to
    all architectures. closes: #16598
  * Fixed other .orig.tar.gz issues, strobe manpage and services file are no
    longer in the debian diff
  * netload now parses kernel 2.2.x /proc/net/dev. NOTE: this breaks
    2.0.x compatibility. Sorry. :) closes: #17034
  * Updated copyright file, added many URL's to upstream source.
    closes: #23182
  * Uses new menu format
  * Doesn't try to use SIGPWR on sparc (it doesn't exist there)
  * Added in statnetd

 -- Robert Woodcock <rcw@debian.org>  Sun, 24 Oct 1999 11:04:56 -0700

netdiag (0.6-3.2) frozen unstable; urgency=medium

  * non-maintainer sourceful upload, including patches from #29317
  * fixes serious problems with Alpha version of netwatch (code assumed long
    is 32 bits), so should go into frozen. This will also ensure that the alpha
    and i386 binaries both have source available. fixes:#30296
  * eth0 should now always be detected, hopefully. probably fixes:#30132
  * source can be unpacked without problems, so #24410 should be closed.
  * I'll probably do another NMU to fix a couple of the other bugs if the
    real maintainer doesn't react in a timely fashion.

 -- Paul Slootman <paul@debian.org>  Tue, 12 Jan 1999 09:50:13 +0100

netdiag (0.6-3.1) unstable; urgency=low

  * non-maintainer (binary-only) upload for Alpha
  * replaced 386 asm part in trafshow-1.3/csum.c with corresponding alpha
    stuff (also from the kernel). Please forward upstream! Something
    similar needs to be done for ppc, I believe.

 -- Paul Slootman <paul@debian.org>  Wed, 11 Nov 1998 20:52:21 +0100

netdiag (0.6-3) frozen unstable; urgency=low

  * recompiled against libncurses4
  * sort out source package (closes: #26913, #26086)

 -- Philip Hands <phil@hands.com>  Tue, 10 Nov 1998 17:47:15 +0000

netdiag (0.6-2) frozen unstable; urgency=low

  * remove spurious postrm (closes: #20649)
  * drop debstd, use debhelper instead.

 -- Philip Hands <phil@hands.com>  Sat, 25 Apr 1998 15:38:01 +0100

netdiag (0.6-1) unstable; urgency=low

  * new upstream versions of trafshow (1.3) and netwatch (0.7a)
  * move strobe.services into /usr/lib/netdiag

 -- Philip Hands <phil@hands.com>  Sat, 12 Jul 1997 10:31:46 +0100

netdiag (0.5-3) unstable; urgency=low

  * trafshow: increase maximum interface name size from 4 to 14 (Bug: #11184)

 -- Philip Hands <phil@hands.com>  Sat, 12 Jul 1997 10:31:46 +0100

netdiag (0.5-2) unstable; urgency=low

  * stop diagperm setting perms for tcpdump (Bug #10554)
  * change trafwatch to trafshow in description (Bug #9854)

 -- Philip Hands <phil@hands.com>  Thu, 26 Jun 1997 11:47:08 +0100

netdiag (0.5-1) unstable; urgency=low

  * update for strobe (Bug #9069)
  * update for netwatch
  * update for trafshow
  * write netwatch man page to match new version(Bug #8820)
  * fix typo in tcpblast man page (Bug #8891)

 -- Philip Hands <phil@hands.com>  Thu, 19 Jun 1997 10:25:51 +0100

netdiag (0.4-3) unstable; urgency=low

  * Adds 4 menu items into the debian menus

 -- Christoph Lameter <clameter@debian.org>  Sat, 14 Dec 1996 18:57:54 -0800

netdiag (0.4-2) unstable; urgency=low

  * files made to be owned by group root
  * diagperm fixed. Made to work without suidmanager for those
    who want to run the script after each update.

 -- Christoph Lameter <clameter@debian.org>  Sun, 8 Dec 1996 19:17:38 -0800

netdiag (0.4-1) unstable; urgency=low

  * Update for tcpblast
  * New tool netload
  * Some tools move to /usr/bin
  * Manpage written for netload and diagperm
  * suidmanager used by diagperm script

 -- Christoph Lameter <clameter@debian.org>  Sat, 7 Dec 1996 21:14:10 -0800

netdiag (0.3-3) unstable; urgency=low

  * memory allocation problem in strobe fixed.

 -- Christoph Lameter <clameter@debian.org>  Sun, 10 Nov 1996 15:44:46 -0800

netdiag (0.3-2) unstable; urgency=low

  * debmake: compressed manpage, doc, location of copyright etc

 -- Christoph Lameter <clameter@debian.org>  Tue, 22 Oct 1996 18:20:49 -0700

netdiag (0.3-1) unstable; urgency=low

  * upgrade netwatch to 0.5
  * include tcpblast (no manpage so far)

 -- Christoph Lameter <clameter@debian.org>  Tue, 1 Oct 1996 09:00:00 -0800

netdiag (0.2-9) unstable; urgency=medium

  * diagperm made relative links to ../sbin instead of ../../sbin

 -- Christoph Lameter <clameter@debian.org>  Tue, 1 Oct 1996 09:00:00 -0800

netdiag (0.2-8) unstable; urgency=medium

  * diagperm makes symlinks in /usr/local/bin and not in /usr/bin in order
    not to interfere with debian packaging system.

 -- Christoph Lameter <clameter@debian.org>  Wed, 25 Sep 1996 09:00:00 -0800

netdiag (0.2-7) unstable; urgency=medium

  * diagperm moved to /usr/sbin,
  * Execute perms for changelog.debian removed

 -- Christoph Lameter <clameter@debian.org>  Wed, 18 Sep 1996 09:00:00 -0800

netdiag (0.2-6) unstable; urgency=medium

  * Binaries moved from /usr/bin to /usr/sbin

 -- Christoph Lameter <clameter@debian.org>  Wed, 11 Sep 1996 09:00:00 -0800

netdiag (0.2-5) unstable; urgency=high

  * Documentation in /usr/doc/netdiag was not up to date
  * postrm script removed

 -- Christoph Lameter <clameter@debian.org>  Tue, 10 Sep 1996 09:00:00 -0800

netdiag (0.2-4) unstable; urgency=high

  * All netdiag commands are only accessible from root.
    A script is provided in /usr/doc/netdiag to make commands related
    to network diagnostics executable by a selectable group.

 -- Christoph Lameter <clameter@waterf.org>  Tue, 10 Sep 1996 09:00:00 -0800

netdiag (0.2-3) unstable; urgency=high

  * The Netdiag commands are now only accessible from groupmembers of
    group adm (security)

 -- Christoph Lameter <clameter@waterf.org>  Thu, 5 Sep 1996 09:00:00 -0800

netdiag (0.2-2) unstable; urgency=low

  * Made netdiag depend on netbase and netstd

 -- Christoph Lameter <clameter@waterf.org>  Wed, 4 Sep 1996 09:00:00 -0800

netdiag (0.2-1) unstable; urgency=low

  * Added trafwatch and netwatch

 -- Christoph Lameter <clameter@waterf.org>  Sat, 31 Aug 1996 14:51:46 -0800
